Mac OS X Directory Service Buffer Overflow

High Nessus Plugin ID 69319


The remote host is susceptible to a buffer overflow.


The remote host is susceptible to a buffer overflow vulnerability.
At a minimum, this could result in a denial of service to the Apple Directory Service.


Upgrade to Mac OS X 10.6.8 and Directory Service 6.5 build 621.16 or later.

See Also

Plugin Details

Severity: High

ID: 69319

File Name: macosx_directory_srv_2013_0984.nasl

Version: $Revision: 1.4 $

Type: remote

Family: Misc.

Published: 2013/08/13

Modified: 2016/05/20

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/06/04

Vulnerability Publication Date: 2013/06/04

Exploitable With

Core Impact

Reference Information

CVE: CVE-2013-0984

BID: 60328

OSVDB: 93923

APPLE-SA: APPLE-SA-2013-06-04-1

EDB-ID: 25974